Get employee roles
This endpoint allows querying the available employee roles in a service.
GET /api/v1/businesses/{businessId}/services/{serviceId}/employee-roles
If the provided data is correct —businessId and serviceId— the response will contain the list of roles defined at the service level.
Response example
[
{
"orquestId": 13358,
"name": "Commercial",
"color": "#fad0e4"
},
{
"id": "ID001",
"orquestId": 19985,
"name": "Manager",
"color": "#921b01"
}
]
Details
-
id: external identifier of the employee role. Only included if the role has an external identifier configured in Orquest.
-
orquestId: internal identifier of the employee role in Orquest.
-
name: name of the employee role.
-
color: color of the employee role in hexadecimal format.
Considerations
If the external role identifier has not been defined in the system, this field will not appear in the response.
If there are no roles for the service, the request will return an empty array [].
Error codes
This endpoint does not return any error codes of its own beyond those described in common errors.
Useful links
What is an employee role?